Subject: Re: CCL:Redhat/G98/PGI - Error

From: Fabrice Leclerc <[email-masked]>
Date: Wed, 14 Mar 2001 09:09:29 +0100

> 
> On Mon, 12 Mar 2001, Lars Packschies wrote:
> 
>> Dear CCLers,
>> 
>> I'm trying to compile g98.A7 on a Redhat 7.0 (ok, not the best 
choice). 
>> PGF77 ist working fine (as far I coud see). But when it comes to
>> build/link l402, I get an error. The text is attached. 
>> 
>> Is this a RH7-specific problem which means to install a different
>> distribution ? 
>> It wouldn't surprise me anayway... Is anybody out there who compiled
>> g98.A7 on a RH7 PIII-box ?
>> 
>> Thanks in advance,
>> 
>> Lars
>> 
>> 
> 
> Hi!,
> just delete bd0402.o in bsd/i386.make line:
>        $(RUNF77) $(FFLAGS) -o $*.exe m$*.o $(EXTOBJ) $*.a bd0402.o
> $(EXTRAS) $(GAULIB) $(LIBS)
> 
> Apparently the RH 7.0 linker does not need the block data outside of 
a
> library file. I presume the same problem arise in l609 and l809.
> 
> Rafael
> -- 
> Dr. Rafael R. Pappalardo
> Dept. Quimica Fisica, Fac. de Quimica, Univ. de Sevilla. 
41012-Sevilla
> (Spain)
> e-mail: [email-masked]
> 

I could compile g98 on RH7.0. However, the executables do not work 
properly and generate a core file. Here is some information obtained 
with the PG debugger, in case somebody has some hints:

pgdbg[2322]: Stab entry ignored
                Stab Type: N_LSYM
                Stab: long long int:t(0,6
)=@s64;r(0,6);01000000000000000000000;0777777777777777777777;
                Source: init.c
pgdbg[2150]: Stab entry ignored
                Stab Type: N_LSYM
                Stab: __fsid_t:t(3,30)=(3,31)=s8__val:(3,32)=ar(3,33
)=r(3,33);0000000000000;0037777777777;;0;1;(0,1),0,64;;
                Source: init.c
pgdbg[1323]: Stab entry ignored
                Stab Type: N_FUN
                Stab: 
                Source: ../../gcc/libgcc2.c
Symbol table built: ./g98
NOTE: Can't find main function compiled -g
Loaded: ./g98